Skip to main content
GET
/
api
/
research
/
discover
cURL
curl --request GET \
  --url https://api.recoupable.com/api/research/discover
{
  "status": "success",
  "artists": [
    {
      "name": "<string>",
      "id": 123,
      "sp_monthly_listeners": 123,
      "sp_followers": 123,
      "tiktok_followers": 123,
      "ins_followers": 123,
      "country": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.recoupable.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

country
string

ISO country code (e.g., US, BR, GB).

Required string length: 2
genre
integer

Genre ID (use GET /api/research/genres to list).

sp_monthly_listeners_min
integer
sp_monthly_listeners_max
integer
sort
string

Sort field (e.g., weekly_diff.sp_monthly_listeners).

limit
integer
default:20
Required range: 1 <= x <= 100

Response

Filtered artist list

status
enum<string>
Available options:
success,
error
Example:

"success"

artists
object[]